/*
 Theme Name:   HeiCom Systems Theme
 Theme URI:    https://heicom-systems.de/
 Description:  Kundentheme von HeiCom Systems
 Author:       Mario Karl
 Author URI:   https://heicom-systems.de/
 Template:     bricks
 Version:      1.2
 Text Domain:  bricks
*/







/* ---------------------------------------------------------- Satoshi */

@font-face {
  	font-family: 'Satoshi';
	font-weight: 300;
	font-display: swap;
    font-style: normal;
  	src: url('/wp-content/themes/heicom-systems/fonts/Satoshi-Light.woff2') format('woff2'),
       url('/wp-content/themes/heicom-systems/fonts/Satoshi-Light.woff') format('woff');
       
}

@font-face {
	font-family: 'Satoshi';
	font-weight: 400;
    font-display: swap;
    font-style: normal;
  	src: url('/wp-content/themes/heicom-systems/fonts/Satoshi-Regular.woff2') format('woff2'),
       url('/wp-content/themes/heicom-systems/fonts/Satoshi-Regular.woff') format('woff');
}

@font-face {
  	font-family: 'Satoshi';
	font-weight: 700;
    font-display: swap;
    font-style: normal;
  	src: url('/wp-content/themes/heicom-systems/fonts/Satoshi-Bold.woff2') format('woff2'),
       url('/wp-content/themes/heicom-systems/fonts/Satoshi-Bold.woff') format('woff');
       
}

@font-face {
  	font-family: 'Satoshi';
	font-weight: 900;
    font-display: swap;
    font-style: normal;
  	src: url('/wp-content/themes/heicom-systems/fonts/Satoshi-Black.woff2') format('woff2'),
       url('/wp-content/themes/heicom-systems/fonts/Satoshi-Black.woff') format('woff');
}




/* Define a transition duration during page visits */
html.is-changing .transition-fade {
  transition: opacity 0.25s;
  opacity: 1;
}
/* Define the styles for the unloaded pages */
html.is-animating .transition-fade {
  opacity: 0;
}



 main {
    transition: opacity 0.2s ease-out;
	 animation: key--fi 0.1s ease-in;
}

.is-leaving main {
    opacity: 0.5;
	animation: none;
}
